diff -Nru audiofile-0.2.6/libaudiofile/aes.c audiofile-0.2.7/libaudiofile/aes.c
--- audiofile-0.2.6/libaudiofile/aes.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/aes.c	2010-03-17 06:31:21.000000000 +0100
@@ -46,7 +46,7 @@
 	if ((track = _af_filesetup_get_tracksetup(setup, trackid)) == NULL)
 		return;
 
-	track->aesDataSet = AF_TRUE;
+	track->aesDataSet = true;
 }
 
 void afInitAESChannelDataTo (AFfilesetup setup, int trackid, int willBeData)
@@ -72,7 +72,7 @@
 	if ((track = _af_filehandle_get_track(file, trackid)) == NULL)
 		return -1;
 
-	if (track->hasAESData == AF_FALSE)
+	if (!track->hasAESData)
 	{
 		if (buf)
 			memset(buf, 0, 24);
diff -Nru audiofile-0.2.6/libaudiofile/afinternal.h audiofile-0.2.7/libaudiofile/afinternal.h
--- audiofile-0.2.6/libaudiofile/afinternal.h	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/afinternal.h	2010-03-17 10:10:38.000000000 +0100
@@ -33,15 +33,11 @@
 #endif
 
 #include <sys/types.h>
-#include <stdio.h>
+#include <stdbool.h>
 #include "audiofile.h"
 #include "af_vfs.h"
 #include "error.h"
 
-typedef int bool;
-#define AF_TRUE (1)
-#define AF_FALSE (0)
-
 typedef int status;
 #define AF_SUCCEED (0)
 #define AF_FAIL (-1)
@@ -149,8 +145,8 @@
 		struct { struct _AFmoduleinst *source; } pull;
 		struct { struct _AFmoduleinst *sink; } push;
 	} u;
-	_AFmodule *mod;
-	bool free_on_close;	/* AF_TRUE=don't free module until close */
+	const _AFmodule *mod;
+	bool free_on_close;	/* true=don't free module until close */
 	bool valid;	/* internal use only */
 #ifdef AF_DEBUG		/* these are set in _AFsetupmodules */
 	int margin;	/* margin for printing of CHNK messages */
@@ -343,7 +339,7 @@
 /* The following are tokens for compression parameters in PV lists. */
 enum
 {
-	_AF_SAMPLES_PER_BLOCK = 700,		/* type: long */
+	_AF_FRAMES_PER_BLOCK = 700,		/* type: long */
 	_AF_BLOCK_SIZE = 701,			/* type: long */
 	_AF_MS_ADPCM_NUM_COEFFICIENTS = 800,	/* type: long */
 	_AF_MS_ADPCM_COEFFICIENTS = 801		/* type: array of int16_t[2] */
diff -Nru audiofile-0.2.6/libaudiofile/aiff.c audiofile-0.2.7/libaudiofile/aiff.c
--- audiofile-0.2.6/libaudiofile/aiff.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/aiff.c	2010-03-22 06:42:44.000000000 +0100
@@ -31,14 +31,11 @@
 #endif
 
 #include <assert.h>
-#include <sys/types.h>
+#include <stdint.h>
 #include <stdio.h>
+#include <stdlib.h>
 #include <string.h>
 
-#ifdef HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
-
 #include "extended.h"
 #include "audiofile.h"
 #include "util.h"
@@ -49,22 +46,22 @@
 #include "track.h"
 #include "marker.h"
 
-static status ParseFVER (AFfilehandle file, AFvirtualfile *fh, u_int32_t type,
+static status ParseFVER (AFfilehandle file, AFvirtualfile *fh, uint32_t type,
 	size_t size);
-static status ParseAESD (AFfilehandle file, AFvirtualfile *fh, u_int32_t type,
+static status ParseAESD (AFfilehandle file, AFvirtualfile *fh, uint32_t type,
 	size_t size);
 static status ParseMiscellaneous (AFfilehandle file, AFvirtualfile *fh,
-	u_int32_t type, size_t size);
-static status ParseINST (AFfilehandle file, AFvirtualfile *fh, u_int32_t type,
+	uint32_t type, size_t size);
+static status ParseINST (AFfilehandle file, AFvirtualfile *fh, uint32_t type,
 	size_t size);
-static status ParseMARK (AFfilehandle file, AFvirtualfile *fh, u_int32_t type,
+static status ParseMARK (AFfilehandle file, AFvirtualfile *fh, uint32_t type,
 	size_t size);
-static status ParseCOMM (AFfilehandle file, AFvirtualfile *fh, u_int32_t type,
+static status ParseCOMM (AFfilehandle file, AFvirtualfile *fh, uint32_t type,
 	size_t size);
-static status ParseSSND (AFfilehandle file, AFvirtualfile *fh, u_int32_t type,
+static status ParseSSND (AFfilehandle file, AFvirtualfile *fh, uint32_t type,
 	size_t size);
 
-_InstParamInfo _af_aiff_inst_params[_AF_AIFF_NUM_INSTPARAMS] =
+const _InstParamInfo _af_aiff_inst_params[_AF_AIFF_NUM_INSTPARAMS] =
 {
 	{ AF_INST_MIDI_BASENOTE, AU_PVTYPE_LONG, "MIDI base note", {60} },
 	{ AF_INST_NUMCENTS_DETUNE, AU_PVTYPE_LONG, "Detune in cents", {0} },
@@ -77,7 +74,7 @@
 	{ AF_INST_RELLOOPID, AU_PVTYPE_LONG, "Release loop id", {0} }
 };
 
-int _af_aiffc_compression_types[_AF_AIFF_NUM_COMPTYPES] =
+const int _af_aiffc_compression_types[_AF_AIFF_NUM_COMPTYPES] =
 {
 	AF_COMPRESSION_G711_ULAW,
 	AF_COMPRESSION_G711_ALAW
@@ -87,9 +84,9 @@
 {
 	_AF_VALID_FILESETUP,	/* valid */
 	AF_FILE_AIFF,		/* fileFormat */
-	AF_TRUE,		/* trackSet */
-	AF_TRUE,		/* instrumentSet */
-	AF_TRUE,		/* miscellaneousSet */
+	true,			/* trackSet */
+	true,			/* instrumentSet */
+	true,			/* miscellaneousSet */
 	1,			/* trackCount */
 	NULL,			/* tracks */
 	1,			/* instrumentCount */
@@ -101,14 +98,13 @@
 /*
 	FVER chunks are only present in AIFF-C files.
 */
-static status ParseFVER (AFfilehandle file, AFvirtualfile *fh, u_int32_t type, size_t size)
+static status ParseFVER (AFfilehandle file, AFvirtualfile *fh, uint32_t type, size_t size)
 {
-	u_int32_t	timestamp;
+	uint32_t	timestamp;
 
 	assert(!memcmp(&type, "FVER", 4));
 
-	af_fread(&timestamp, sizeof (u_int32_t), 1, fh);
-	timestamp = BENDIAN_TO_HOST_INT32(timestamp);
+	af_read_uint32_be(&timestamp, fh);
 	/* timestamp holds the number of seconds since January 1, 1904. */
 
 	return AF_SUCCEED;
@@ -117,7 +113,7 @@
 /*
 	Parse AES recording data.
 */
-static status ParseAESD (AFfilehandle file, AFvirtualfile *fh, u_int32_t type, size_t size)
+static status ParseAESD (AFfilehandle file, AFvirtualfile *fh, uint32_t type, size_t size)
 {
 	_Track		*track;
 	unsigned char	aesChannelStatusData[24];
@@ -127,7 +123,7 @@
 
 	track = _af_filehandle_get_track(file, AF_DEFAULT_TRACK);
 
-	track->hasAESData = AF_TRUE;
+	track->hasAESData = true;
 
 	/*
 		Try to read 24 bytes of AES nonaudio data from the file.
@@ -146,7 +142,7 @@
 	and annotation chunks.
 */
 static status ParseMiscellaneous (AFfilehandle file, AFvirtualfile *fh,
-	u_int32_t type, size_t size)
+	uint32_t type, size_t size)
 {
 	int	misctype = AF_MISC_UNRECOGNIZED;
 
@@ -190,17 +186,17 @@
 	Parse instrument chunks, which contain information about using
 	sound data as a sampled instrument.
 */
-static status ParseINST (AFfilehandle file, AFvirtualfile *fh, u_int32_t type,
+static status ParseINST (AFfilehandle file, AFvirtualfile *fh, uint32_t type,
 	size_t size)
 {
 	_Instrument	*instrument;
-	u_int8_t	baseNote;
+	uint8_t		baseNote;
 	int8_t		detune;
-	u_int8_t	lowNote, highNote, lowVelocity, highVelocity;
+	uint8_t		lowNote, highNote, lowVelocity, highVelocity;
 	int16_t		gain;
 
-	u_int16_t	sustainLoopPlayMode, sustainLoopBegin, sustainLoopEnd;
-	u_int16_t	releaseLoopPlayMode, releaseLoopBegin, releaseLoopEnd;
+	uint16_t	sustainLoopPlayMode, sustainLoopBegin, sustainLoopEnd;
+	uint16_t	releaseLoopPlayMode, releaseLoopBegin, releaseLoopEnd;
 
 	assert(!memcmp(&type, "INST", 4));
 
@@ -213,14 +209,13 @@
 	file->instrumentCount = 1;
 	file->instruments = instrument;
 
-	af_fread(&baseNote, 1, 1, fh);
-	af_fread(&detune, 1, 1, fh);
-	af_fread(&lowNote, 1, 1, fh);
-	af_fread(&highNote, 1, 1, fh);
-	af_fread(&lowVelocity, 1, 1, fh);
-	af_fread(&highVelocity, 1, 1, fh);
-	af_fread(&gain, 2, 1, fh);
-	gain = BENDIAN_TO_HOST_INT16(gain);
+	af_read_uint8(&baseNote, fh);
+	af_read_uint8(&detune, fh);
+	af_read_uint8(&lowNote, fh);
+	af_read_uint8(&highNote, fh);
+	af_read_uint8(&lowVelocity, fh);
+	af_read_uint8(&highVelocity, fh);
+	af_read_uint16_be(&gain, fh);
 
 #ifdef DEBUG
 	printf("baseNote/detune/lowNote/highNote/lowVelocity/highVelocity/gain:"
@@ -240,19 +235,13 @@
 	instrument->values[7].l = 1;	/* sustain loop id */
 	instrument->values[8].l = 2;	/* release loop id */
 
-	af_fread(&sustainLoopPlayMode, sizeof (u_int16_t), 1, fh);
-	sustainLoopPlayMode = BENDIAN_TO_HOST_INT16(sustainLoopPlayMode);
-	af_fread(&sustainLoopBegin, sizeof (u_int16_t), 1, fh);
-	sustainLoopBegin = BENDIAN_TO_HOST_INT16(sustainLoopBegin);
-	af_fread(&sustainLoopEnd, sizeof (u_int16_t), 1, fh);
-	sustainLoopEnd = BENDIAN_TO_HOST_INT16(sustainLoopEnd);
-
-	af_fread(&releaseLoopPlayMode, sizeof (u_int16_t), 1, fh);
-	releaseLoopPlayMode = BENDIAN_TO_HOST_INT16(releaseLoopPlayMode);
-	af_fread(&releaseLoopBegin, sizeof (u_int16_t), 1, fh);
-	releaseLoopBegin = BENDIAN_TO_HOST_INT16(releaseLoopBegin);
-	af_fread(&releaseLoopEnd, sizeof (u_int16_t), 1, fh);
-	releaseLoopEnd = BENDIAN_TO_HOST_INT16(releaseLoopEnd);
+	af_read_uint16_be(&sustainLoopPlayMode, fh);
+	af_read_uint16_be(&sustainLoopBegin, fh);
+	af_read_uint16_be(&sustainLoopEnd, fh);
+
+	af_read_uint16_be(&releaseLoopPlayMode, fh);
+	af_read_uint16_be(&releaseLoopBegin, fh);
+	af_read_uint16_be(&releaseLoopEnd, fh);
 
 #ifdef DEBUG
 	printf("sustain loop: mode %d, begin %d, end %d\n",
@@ -278,19 +267,18 @@
 /*
 	Parse marker chunks, which contain the positions and names of loop markers.
 */
-static status ParseMARK (AFfilehandle file, AFvirtualfile *fh, u_int32_t type,
+static status ParseMARK (AFfilehandle file, AFvirtualfile *fh, uint32_t type,
 	size_t size)
 {
 	_Track		*track;
 	int		i;
-	u_int16_t	numMarkers;
+	uint16_t	numMarkers;
 
 	assert(!memcmp(&type, "MARK", 4));
 
 	track = _af_filehandle_get_track(file, AF_DEFAULT_TRACK);
 
-	af_fread(&numMarkers, sizeof (u_int16_t), 1, fh);
-	numMarkers = BENDIAN_TO_HOST_INT16(numMarkers);
+	af_read_uint16_be(&numMarkers, fh);
 
 	track->markerCount = numMarkers;
 	if (numMarkers)
@@ -298,15 +286,13 @@
 
 	for (i=0; i<numMarkers; i++)
 	{
-		u_int16_t	markerID = 0;
-		u_int32_t	markerPosition = 0;
-		u_int8_t	sizeByte = 0;
+		uint16_t	markerID = 0;
+		uint32_t	markerPosition = 0;
+		uint8_t		sizeByte = 0;
 		char		*markerName = NULL;
 
-		af_fread(&markerID, sizeof (u_int16_t), 1, fh);
-		markerID = BENDIAN_TO_HOST_INT16(markerID);
-		af_fread(&markerPosition, sizeof (u_int32_t), 1, fh);
-		markerPosition = BENDIAN_TO_HOST_INT32(markerPosition);
+		af_read_uint16_be(&markerID, fh);
+		af_read_uint32_be(&markerPosition, fh);
 		af_fread(&sizeByte, sizeof (unsigned char), 1, fh);
 		markerName = _af_malloc(sizeByte + 1);
 		af_fread(markerName, sizeof (unsigned char), sizeByte, fh);
@@ -343,27 +329,27 @@
 	sampling rate, the number of sample frames, and the number of
 	sound channels.
 */
-static status ParseCOMM (AFfilehandle file, AFvirtualfile *fh, u_int32_t type,
+static status ParseCOMM (AFfilehandle file, AFvirtualfile *fh, uint32_t type,
 	size_t size)
 {
 	_Track		*track;
-	u_int16_t	numChannels;
-	u_int32_t	numSampleFrames;
-	u_int16_t	sampleSize;
+	uint16_t	numChannels;
+	uint32_t	numSampleFrames;
+	uint16_t	sampleSize;
 	unsigned char	sampleRate[10];
 
 	assert(!memcmp(&type, "COMM", 4));
 
 	track = _af_filehandle_get_track(file, AF_DEFAULT_TRACK);
 
-	af_fread(&numChannels, sizeof (u_int16_t), 1, fh);
-	track->f.channelCount = BENDIAN_TO_HOST_INT16(numChannels);
+	af_read_uint16_be(&numChannels, fh);
+	track->f.channelCount = numChannels;
 
-	af_fread(&numSampleFrames, sizeof (u_int32_t), 1, fh);
-	track->totalfframes = BENDIAN_TO_HOST_INT32(numSampleFrames);
+	af_read_uint32_be(&numSampleFrames, fh);
+	track->totalfframes = numSampleFrames;
 
-	af_fread(&sampleSize, sizeof (u_int16_t), 1, fh);
-	track->f.sampleWidth = BENDIAN_TO_HOST_INT16(sampleSize);
+	af_read_uint16_be(&sampleSize, fh);
+	track->f.sampleWidth = sampleSize;
 
 	af_fread(sampleRate, 10, 1, fh);
 	track->f.sampleRate = _af_convert_from_ieee_extended(sampleRate);
@@ -374,20 +360,30 @@
 
 	if (file->fileFormat == AF_FILE_AIFFC)
 	{
-		u_int8_t	compressionID[4];
+		uint8_t		compressionID[4];
 		/* Pascal strings are at most 255 bytes long. */
-		unsigned char	compressionName[256];
-		unsigned char	compressionNameLength;
+		char		compressionName[256];
 
 		af_fread(compressionID, 4, 1, fh);
 
 		/* Read the Pascal-style string containing the name. */
-		af_fread(&compressionNameLength, 1, 1, fh);
-		af_fread(compressionName, compressionNameLength, 1, fh);
-		compressionName[compressionNameLength] = '\0';
+		af_read_pstring(compressionName, fh);
 
-		if (!memcmp(compressionID, "NONE", 4))
+		if (!memcmp(compressionID, "NONE", 4) ||
+			!memcmp(compressionID, "twos", 4))
+		{
+			track->f.compressionType = AF_COMPRESSION_NONE;
+		}
+		else if (!memcmp(compressionID, "in24", 4))
+		{
 			track->f.compressionType = AF_COMPRESSION_NONE;
+			track->f.sampleWidth = 24;
+		}
+		else if (!memcmp(compressionID, "in32", 4))
+		{
+			track->f.compressionType = AF_COMPRESSION_NONE;
+			track->f.sampleWidth = 32;
+		}
 		else if (!memcmp(compressionID, "ACE2", 4) ||
 			!memcmp(compressionID, "ACE8", 4) ||
 			!memcmp(compressionID, "MAC3", 4) ||
@@ -445,20 +441,18 @@
 	Parse the stored sound chunk, which usually contains little more
 	than the sound data.
 */
-static status ParseSSND (AFfilehandle file, AFvirtualfile *fh, u_int32_t type,
+static status ParseSSND (AFfilehandle file, AFvirtualfile *fh, uint32_t type,
 	size_t size)
 {
 	_Track		*track;
-	u_int32_t	offset, blockSize;
+	uint32_t	offset, blockSize;
 
 	assert(!memcmp(&type, "SSND", 4));
 
 	track = _af_filehandle_get_track(file, AF_DEFAULT_TRACK);
 
-	af_fread(&offset, sizeof (u_int32_t), 1, fh);
-	offset = BENDIAN_TO_HOST_INT32(offset);
-	af_fread(&blockSize, sizeof (u_int32_t), 1, fh);
-	blockSize = BENDIAN_TO_HOST_INT32(blockSize);
+	af_read_uint32_be(&offset, fh);
+	af_read_uint32_be(&blockSize, fh);
 
 	/*
 		This seems like a reasonable way to calculate the number of
@@ -484,21 +478,21 @@
 
 status _af_aiff_read_init (AFfilesetup setup, AFfilehandle file)
 {
-	u_int32_t	type, size, formtype;
+	uint32_t	type, size, formtype;
 	size_t		index = 0;
 	bool		hasCOMM, hasFVER, hasSSND, hasMARK, hasINST;
 	bool		hasAESD, hasNAME, hasAUTH, hasCOPY;
 	_Track		*track;
 
-	hasCOMM = AF_FALSE;
-	hasFVER = AF_FALSE;
-	hasSSND = AF_FALSE;
-	hasMARK = AF_FALSE;
-	hasINST = AF_FALSE;
-	hasAESD = AF_FALSE;
-	hasNAME = AF_FALSE;
-	hasAUTH = AF_FALSE;
-	hasCOPY = AF_FALSE;
+	hasCOMM = false;
+	hasFVER = false;
+	hasSSND = false;
+	hasMARK = false;
+	hasINST = false;
+	hasAESD = false;
+	hasNAME = false;
+	hasAUTH = false;
+	hasCOPY = false;
 
 	assert(file != NULL);
 	assert(file->fh != NULL);
@@ -506,8 +500,7 @@
 	af_fseek(file->fh, 0, SEEK_SET);
 
 	af_fread(&type, 4, 1, file->fh);
-	af_fread(&size, 4, 1, file->fh);
-	size = BENDIAN_TO_HOST_INT32(size);
+	af_read_uint32_be(&size, file->fh);
 	af_fread(&formtype, 4, 1, file->fh);
 
 	if (memcmp(&type, "FORM", 4) != 0 ||
@@ -533,15 +526,14 @@
 
 	while (index < size)
 	{
-		u_int32_t	chunkid = 0, chunksize = 0;
+		uint32_t	chunkid = 0, chunksize = 0;
 		status		result = AF_SUCCEED;
 
 #ifdef DEBUG
 		printf("index: %d\n", index);
 #endif
 		af_fread(&chunkid, 4, 1, file->fh);
-		af_fread(&chunksize, 4, 1, file->fh);
-		chunksize = BENDIAN_TO_HOST_INT32(chunksize);
+		af_read_uint32_be(&chunksize, file->fh);
 
 #ifdef DEBUG
 		_af_printid(chunkid);
@@ -550,27 +542,27 @@
 
 		if (!memcmp("COMM", &chunkid, 4))
 		{
-			hasCOMM = AF_TRUE;
+			hasCOMM = true;
 			result = ParseCOMM(file, file->fh, chunkid, chunksize);
 		}
 		else if (!memcmp("FVER", &chunkid, 4))
 		{
-			hasFVER = AF_TRUE;
+			hasFVER = true;
 			ParseFVER(file, file->fh, chunkid, chunksize);
 		}
 		else if (!memcmp("INST", &chunkid, 4))
 		{
-			hasINST = AF_TRUE;
+			hasINST = true;
 			ParseINST(file, file->fh, chunkid, chunksize);
 		}
 		else if (!memcmp("MARK", &chunkid, 4))
 		{
-			hasMARK = AF_TRUE;
+			hasMARK = true;
 			ParseMARK(file, file->fh, chunkid, chunksize);
 		}
 		else if (!memcmp("AESD", &chunkid, 4))
 		{
-			hasAESD = AF_TRUE;
+			hasAESD = true;
 			ParseAESD(file, file->fh, chunkid, chunksize);
 		}
 		else if (!memcmp("NAME", &chunkid, 4) ||
@@ -593,7 +585,7 @@
 				_af_error(AF_BAD_AIFF_SSND, "AIFF file has more than one SSND chunk");
 				return AF_FAIL;
 			}
-			hasSSND = AF_TRUE;
+			hasSSND = true;
 			result = ParseSSND(file, file->fh, chunkid, chunksize);
 		}
 
@@ -620,30 +612,30 @@
 
 bool _af_aiff_recognize (AFvirtualfile *fh)
 {
-	u_int8_t	buffer[8];
+	uint8_t	buffer[8];
 
 	af_fseek(fh, 0, SEEK_SET);
 
 	if (af_fread(buffer, 1, 8, fh) != 8 || memcmp(buffer, "FORM", 4) != 0)
-		return AF_FALSE;
+		return false;
 	if (af_fread(buffer, 1, 4, fh) != 4 || memcmp(buffer, "AIFF", 4) != 0)
-		return AF_FALSE;
+		return false;
 
-	return AF_TRUE;
+	return true;
 }
 
 bool _af_aifc_recognize (AFvirtualfile *fh)
 {
-	u_int8_t	buffer[8];
+	uint8_t	buffer[8];
 
 	af_fseek(fh, 0, SEEK_SET);
 
 	if (af_fread(buffer, 1, 8, fh) != 8 || memcmp(buffer, "FORM", 4) != 0)
-		return AF_FALSE;
+		return false;
 	if (af_fread(buffer, 1, 4, fh) != 4 || memcmp(buffer, "AIFC", 4) != 0)
-		return AF_FALSE;
+		return false;
 
-	return AF_TRUE;
+	return true;
 }
 
 AFfilesetup _af_aiff_complete_setup (AFfilesetup setup)
@@ -742,7 +734,7 @@
 		}
 	}
 
-	return _af_filesetup_copy(setup, &_af_aiff_default_filesetup, AF_TRUE);
+	return _af_filesetup_copy(setup, &_af_aiff_default_filesetup, true);
 }
 
 bool _af_aiff_instparam_valid (AFfilehandle filehandle, AUpvlist list, int i)
@@ -752,7 +744,7 @@
 	AUpvgetparam(list, i, &param);
 	AUpvgetvaltype(list, i, &type);
 	if (type != AU_PVTYPE_LONG)
-		return AF_FALSE;
+		return false;
 
 	AUpvgetval(list, i, &lval);
 
@@ -779,14 +771,14 @@
 		case AF_INST_NUMDBS_GAIN:
 		case AF_INST_SUSLOOPID:
 		case AF_INST_RELLOOPID:
-			return AF_TRUE;
+			return true;
 
 		default:
-			return AF_FALSE;
+			return false;
 			break;
 	}
 
-	return AF_TRUE;
+	return true;
 }
 
 int _af_aifc_get_version (AFfilehandle file)
diff -Nru audiofile-0.2.6/libaudiofile/aiff.h audiofile-0.2.7/libaudiofile/aiff.h
--- audiofile-0.2.6/libaudiofile/aiff.h	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/aiff.h	2010-03-15 11:41:30.000000000 +0100
@@ -32,44 +32,28 @@
 #include <config.h>
 #endif
 
-#ifdef HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
+#include <stdint.h>
 
 #define _AF_AIFF_NUM_INSTPARAMS 9
 #define _AF_AIFF_NUM_COMPTYPES 2
 
 #define AIFC_VERSION_1 0xa2805140
 
-struct _COMM
-{
-	short			numChannels;
-	long			numSampleFrames;
-	short			sampleSize;
-	unsigned char	sampleRate[10];
-};
-
-struct _MARK
-{
-	short			numMarkers;
-	struct _Marker	*markers;
-};
-
 struct _INST
 {
-	u_int8_t	baseNote;
+	uint8_t		baseNote;
 	int8_t		detune;
-	u_int8_t	lowNote, highNote;
-	u_int8_t	lowVelocity, highVelocity;
+	uint8_t		lowNote, highNote;
+	uint8_t		lowVelocity, highVelocity;
 	int16_t		gain;
 
-	int16_t	sustainLoopPlayMode;
-	int16_t	sustainLoopBegin;
-	int16_t	sustainLoopEnd;
-
-	int16_t	releaseLoopPlayMode;
-	int16_t	releaseLoopBegin;
-	int16_t	releaseLoopEnd;
+	uint16_t	sustainLoopPlayMode;
+	uint16_t	sustainLoopBegin;
+	uint16_t	sustainLoopEnd;
+
+	uint16_t	releaseLoopPlayMode;
+	uint16_t	releaseLoopBegin;
+	uint16_t	releaseLoopEnd;
 };
 
 bool _af_aiff_recognize (AFvirtualfile *fh);
diff -Nru audiofile-0.2.6/libaudiofile/aiffwrite.c audiofile-0.2.7/libaudiofile/aiffwrite.c
--- audiofile-0.2.6/libaudiofile/aiffwrite.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/aiffwrite.c	2010-03-22 06:42:44.000000000 +0100
@@ -31,7 +31,7 @@
 #endif
 
 #include <assert.h>
-#include <sys/types.h>
+#include <stdint.h>
 #include <stdlib.h>
 #include <string.h>
 
@@ -70,7 +70,7 @@
 
 status _af_aiff_write_init (AFfilesetup setup, AFfilehandle file)
 {
-	u_int32_t	fileSize = HOST_TO_BENDIAN_INT32(0);
+	uint32_t	fileSize = 0;
 
 	assert(file);
 	assert(file->fileFormat == AF_FILE_AIFF ||
@@ -82,7 +82,7 @@
 	file->formatSpecific = aiffinfo_new();
 
 	af_fwrite("FORM", 4, 1, file->fh);
-	af_fwrite(&fileSize, 4, 1, file->fh);
+	af_write_uint32_be(&fileSize, file->fh);
 
 	if (file->fileFormat == AF_FILE_AIFF)
 		af_fwrite("AIFF", 4, 1, file->fh);
@@ -105,7 +105,7 @@
 status _af_aiff_update (AFfilehandle file)
 {
 	_Track		*track;
-	u_int32_t	length;
+	uint32_t	length;
 
 	assert(file);
 
@@ -118,11 +118,10 @@
 	/* Get the length of the file. */
 	length = af_flength(file->fh);
 	length -= 8;
-	length = HOST_TO_BENDIAN_INT32(length);
 
 	/* Set the length of the FORM chunk. */
 	af_fseek(file->fh, 4, SEEK_SET);
-	af_fwrite(&length, 4, 1, file->fh);
+	af_write_uint32_be(&length, file->fh);
 
 	if (file->fileFormat == AF_FILE_AIFFC)
 		WriteFVER(file);
@@ -140,15 +139,15 @@
 static status WriteCOMM (const AFfilehandle file)
 {
 	_Track		*track;
-	u_int32_t	chunkSize;
+	uint32_t	chunkSize;
 	_AIFFInfo	*aiff;
 	bool		isAIFFC;
 
-	u_int16_t	sb;
-	u_int32_t	lb;
+	uint16_t	sb;
+	uint32_t	lb;
 	unsigned char	eb[10];
 
-	u_int8_t	compressionTag[4];
+	uint8_t		compressionTag[4];
 	/* Pascal strings can occupy only 255 bytes (+ a size byte). */
 	char		compressionName[256];
 
@@ -225,20 +224,19 @@
 		chunkSize = 22 + strlen(compressionName) + 1;
 	else
 		chunkSize = 18;
-	chunkSize = HOST_TO_BENDIAN_INT32(chunkSize);
-	af_fwrite(&chunkSize, 4, 1, file->fh);
+	af_write_uint32_be(&chunkSize, file->fh);
 
 	/* number of channels, 2 bytes */
-	sb = HOST_TO_BENDIAN_INT16(track->f.channelCount);
-	af_fwrite(&sb, 2, 1, file->fh);
+	sb = track->f.channelCount;
+	af_write_uint16_be(&sb, file->fh);
 
 	/* number of sample frames, 4 bytes */
-	lb = HOST_TO_BENDIAN_INT32(track->totalfframes);
-	af_fwrite(&lb, 4, 1, file->fh);
+	lb = track->totalfframes;
+	af_write_uint32_be(&lb, file->fh);
 
 	/* sample size, 2 bytes */
-	sb = HOST_TO_BENDIAN_INT16(track->f.sampleWidth);
-	af_fwrite(&sb, 2, 1, file->fh);
+	sb = track->f.sampleWidth;
+	af_write_uint16_be(&sb, file->fh);
 
 	/* sample rate, 10 bytes */
 	_af_convert_to_ieee_extended(track->f.sampleRate, eb);
@@ -246,23 +244,9 @@
 
 	if (file->fileFormat == AF_FILE_AIFFC)
 	{
-		u_int8_t	sizeByte, zero = 0;
-
 		af_fwrite(compressionTag, 4, 1, file->fh);
 
-		sizeByte = strlen(compressionName);
-
-		af_fwrite(&sizeByte, 1, 1, file->fh);
-		af_fwrite(compressionName, sizeByte, 1, file->fh);
-
-		/*
-			If sizeByte is even, then 1+sizeByte
-			(the length of the string) is odd.  Add an
-			extra byte to make the chunk's extent even
-			(even though the chunk's size may be odd).
-		*/
-		if ((sizeByte % 2) == 0)
-			af_fwrite(&zero, 1, 1, file->fh);
+		af_write_pstring(compressionName, file->fh);
 	}
 
 	return AF_SUCCEED;
@@ -275,7 +259,7 @@
 static status WriteAESD (const AFfilehandle file)
 {
 	_Track		*track;
-	u_int32_t	size = 24;
+	uint32_t	size = 24;
 	_AIFFInfo	*aiff;
 
 	assert(file);
@@ -284,7 +268,7 @@
 
 	track = _af_filehandle_get_track(file, AF_DEFAULT_TRACK);
 
-	if (track->hasAESData == AF_FALSE)
+	if (!track->hasAESData)
 		return AF_SUCCEED;
 
 	if (aiff->AESD_offset == 0)
@@ -295,9 +279,7 @@
 	if (af_fwrite("AESD", 4, 1, file->fh) < 1)
 		return AF_FAIL;
 
-	size = HOST_TO_BENDIAN_INT32(size);
-
-	if (af_fwrite(&size, 4, 1, file->fh) < 1)
+	if (af_write_uint32_be(&size, file->fh) == AF_FAIL)
 		return AF_FAIL;
 
 	if (af_fwrite(track->aesData, 24, 1, file->fh) < 1)
@@ -309,7 +291,7 @@
 static status WriteSSND (AFfilehandle file)
 {
 	_Track		*track;
-	u_int32_t	chunkSize, zero = 0;
+	uint32_t	chunkSize, zero = 0;
 	_AIFFInfo	*aiff;
 
 	assert(file);
@@ -324,17 +306,16 @@
 	else
 		af_fseek(file->fh, aiff->SSND_offset, SEEK_SET);
 
-	chunkSize = _af_format_frame_size(&track->f, AF_FALSE) *
+	chunkSize = (int) _af_format_frame_size(&track->f, false) *
 		track->totalfframes + 8;
 
 	af_fwrite("SSND", 4, 1, file->fh);
-	chunkSize = HOST_TO_BENDIAN_INT32(chunkSize);
-	af_fwrite(&chunkSize, 4, 1, file->fh);
+	af_write_uint32_be(&chunkSize, file->fh);
 
 	/* data offset */
-	af_fwrite(&zero, 4, 1, file->fh);
+	af_write_uint32_be(&zero, file->fh);
 	/* block size */
-	af_fwrite(&zero, 4, 1, file->fh);
+	af_write_uint32_be(&zero, file->fh);
 
 	if (track->fpos_first_frame == 0)
 		track->fpos_first_frame = af_ftell(file->fh);
@@ -344,60 +325,58 @@
 
 static status WriteINST (AFfilehandle file)
 {
-	u_int32_t	length;
+	uint32_t	length;
 	struct _INST	instrumentdata;
 
 	length = 20;
-	length = HOST_TO_BENDIAN_INT32(length);
 
 	instrumentdata.sustainLoopPlayMode =
-		HOST_TO_BENDIAN_INT16(afGetLoopMode(file, AF_DEFAULT_INST, 1));
+		afGetLoopMode(file, AF_DEFAULT_INST, 1);
 	instrumentdata.sustainLoopBegin =
-		HOST_TO_BENDIAN_INT16(afGetLoopStart(file, AF_DEFAULT_INST, 1));
+		afGetLoopStart(file, AF_DEFAULT_INST, 1);
 	instrumentdata.sustainLoopEnd =
-		HOST_TO_BENDIAN_INT16(afGetLoopEnd(file, AF_DEFAULT_INST, 1));
+		afGetLoopEnd(file, AF_DEFAULT_INST, 1);
 
 	instrumentdata.releaseLoopPlayMode =
-		HOST_TO_BENDIAN_INT16(afGetLoopMode(file, AF_DEFAULT_INST, 2));
+		afGetLoopMode(file, AF_DEFAULT_INST, 2);
 	instrumentdata.releaseLoopBegin =
-		HOST_TO_BENDIAN_INT16(afGetLoopStart(file, AF_DEFAULT_INST, 2));
+		afGetLoopStart(file, AF_DEFAULT_INST, 2);
 	instrumentdata.releaseLoopEnd =
-		HOST_TO_BENDIAN_INT16(afGetLoopEnd(file, AF_DEFAULT_INST, 2));
+		afGetLoopEnd(file, AF_DEFAULT_INST, 2);
 
 	af_fwrite("INST", 4, 1, file->fh);
-	af_fwrite(&length, 4, 1, file->fh);
+	af_write_uint32_be(&length, file->fh);
 
 	instrumentdata.baseNote =
 		afGetInstParamLong(file, AF_DEFAULT_INST, AF_INST_MIDI_BASENOTE);
-	af_fwrite(&instrumentdata.baseNote, 1, 1, file->fh);
+	af_write_uint8(&instrumentdata.baseNote, file->fh);
 	instrumentdata.detune =
 		afGetInstParamLong(file, AF_DEFAULT_INST, AF_INST_NUMCENTS_DETUNE);
-	af_fwrite(&instrumentdata.detune, 1, 1, file->fh);
+	af_write_uint8(&instrumentdata.detune, file->fh);
 	instrumentdata.lowNote =
 		afGetInstParamLong(file, AF_DEFAULT_INST, AF_INST_MIDI_LONOTE);
-	af_fwrite(&instrumentdata.lowNote, 1, 1, file->fh);
+	af_write_uint8(&instrumentdata.lowNote, file->fh);
 	instrumentdata.highNote =
 		afGetInstParamLong(file, AF_DEFAULT_INST, AF_INST_MIDI_HINOTE);
-	af_fwrite(&instrumentdata.highNote, 1, 1, file->fh);
+	af_write_uint8(&instrumentdata.highNote, file->fh);
 	instrumentdata.lowVelocity =
 		afGetInstParamLong(file, AF_DEFAULT_INST, AF_INST_MIDI_LOVELOCITY);
-	af_fwrite(&instrumentdata.lowVelocity, 1, 1, file->fh);
+	af_write_uint8(&instrumentdata.lowVelocity, file->fh);
 	instrumentdata.highVelocity =
 		afGetInstParamLong(file, AF_DEFAULT_INST, AF_INST_MIDI_HIVELOCITY);
-	af_fwrite(&instrumentdata.highVelocity, 1, 1, file->fh);
+	af_write_uint8(&instrumentdata.highVelocity, file->fh);
 
 	instrumentdata.gain =
 		afGetInstParamLong(file, AF_DEFAULT_INST, AF_INST_NUMDBS_GAIN);
-	instrumentdata.gain = HOST_TO_BENDIAN_INT16(instrumentdata.gain);
-	af_fwrite(&instrumentdata.gain, 2, 1, file->fh);
+	af_write_uint16_be(&instrumentdata.gain, file->fh);
 
-	af_fwrite(&instrumentdata.sustainLoopPlayMode, 2, 1, file->fh);
-	af_fwrite(&instrumentdata.sustainLoopBegin, 2, 1, file->fh);
-	af_fwrite(&instrumentdata.sustainLoopEnd, 2, 1, file->fh);
-
-	af_fwrite(&instrumentdata.releaseLoopPlayMode, 2, 1, file->fh);
-	af_fwrite(&instrumentdata.releaseLoopBegin, 2, 1, file->fh);
-	af_fwrite(&instrumentdata.releaseLoopEnd, 2, 1, file->fh);
+	af_write_uint16_be(&instrumentdata.sustainLoopPlayMode, file->fh);
+	af_write_uint16_be(&instrumentdata.sustainLoopBegin, file->fh);
+	af_write_uint16_be(&instrumentdata.sustainLoopEnd, file->fh);
+
+	af_write_uint16_be(&instrumentdata.releaseLoopPlayMode, file->fh);
+	af_write_uint16_be(&instrumentdata.releaseLoopBegin, file->fh);
+	af_write_uint16_be(&instrumentdata.releaseLoopEnd, file->fh);
 
 	return AF_SUCCEED;
 }
@@ -405,8 +384,8 @@
 static status WriteMARK (AFfilehandle file)
 {
 	AFfileoffset	chunkStartPosition, chunkEndPosition;
-	u_int32_t	length = 0;
-	u_int16_t	numMarkers, sb;
+	uint32_t	length = 0;
+	uint16_t	numMarkers;
 	int		i, *markids;
 	_AIFFInfo	*aiff;
 
@@ -424,7 +403,7 @@
 		af_fseek(file->fh, aiff->MARK_offset, SEEK_SET);
 
 	af_fwrite("MARK", 4, 1, file->fh);
-	af_fwrite(&length, 4, 1, file->fh);
+	af_write_uint32_be(&length, file->fh);
 
 	chunkStartPosition = af_ftell(file->fh);
 
@@ -432,40 +411,26 @@
 	assert(markids);
 	afGetMarkIDs(file, AF_DEFAULT_TRACK, markids);
 
-	sb = HOST_TO_BENDIAN_INT16(numMarkers);
-	af_fwrite(&sb, 2, 1, file->fh);
+	af_write_uint16_be(&numMarkers, file->fh);
 
 	for (i=0; i<numMarkers; i++)
 	{
-		u_int8_t	namelength, zero = 0;
-		u_int16_t	id;
-		u_int32_t	position;
+		uint8_t		namelength, zero = 0;
+		uint16_t	id;
+		uint32_t	position;
 		char		*name;
 
 		id = markids[i];
 		position = afGetMarkPosition(file, AF_DEFAULT_TRACK, markids[i]);
 
-		id = HOST_TO_BENDIAN_INT16(id);
-		position = HOST_TO_BENDIAN_INT32(position);
-
-		af_fwrite(&id, 2, 1, file->fh);
-		af_fwrite(&position, 4, 1, file->fh);
+		af_write_uint16_be(&id, file->fh);
+		af_write_uint32_be(&position, file->fh);
 
 		name = afGetMarkName(file, AF_DEFAULT_TRACK, markids[i]);
 		assert(name);
-		namelength = strlen(name);
 
 		/* Write the name as a Pascal-style string. */
-		af_fwrite(&namelength, 1, 1, file->fh);
-		af_fwrite(name, 1, namelength, file->fh);
-
-		/*
-			We need a pad byte if the length of the
-			Pascal-style string (including the size byte)
-			is odd, i.e. if namelength + 1 % 2 == 1.
-		*/
-		if ((namelength % 2) == 0)
-			af_fwrite(&zero, 1, 1, file->fh);
+		af_write_pstring(name, file->fh);
 	}
 
 	free(markids);
@@ -480,8 +445,7 @@
 
 	af_fseek(file->fh, chunkStartPosition - 4, SEEK_SET);
 
-	length = HOST_TO_BENDIAN_INT32(length);
-	af_fwrite(&length, 4, 1, file->fh);
+	af_write_uint32_be(&length, file->fh);
 	af_fseek(file->fh, chunkEndPosition, SEEK_SET);
 
 	return AF_SUCCEED;
@@ -492,7 +456,7 @@
 */
 static status WriteFVER (AFfilehandle file)
 {
-	u_int32_t	chunkSize, timeStamp;
+	uint32_t	chunkSize, timeStamp;
 	_AIFFInfo	*aiff;
 
 	assert(file->fileFormat == AF_FILE_AIFFC);
@@ -507,12 +471,10 @@
 	af_fwrite("FVER", 4, 1, file->fh);
 
 	chunkSize = 4;
-	chunkSize = HOST_TO_BENDIAN_INT32(chunkSize);
-	af_fwrite(&chunkSize, 4, 1, file->fh);
+	af_write_uint32_be(&chunkSize, file->fh);
 
 	timeStamp = AIFC_VERSION_1;
-	timeStamp = HOST_TO_BENDIAN_INT32(timeStamp);
-	af_fwrite(&timeStamp, 4, 1, file->fh);
+	af_write_uint32_be(&timeStamp, file->fh);
 
 	return AF_SUCCEED;
 }
@@ -536,8 +498,8 @@
 	for (i=0; i<file->miscellaneousCount; i++)
 	{
 		_Miscellaneous	*misc = &file->miscellaneous[i];
-		u_int32_t	chunkType, chunkSize;
-		u_int8_t	padByte = 0;
+		uint32_t	chunkType, chunkSize;
+		uint8_t		padByte = 0;
 
 #ifdef DEBUG
 		printf("WriteMiscellaneous: %d, type %d\n", i, misc->type);
@@ -559,10 +521,11 @@
 				memcpy(&chunkType, "APPL", 4); break;
 		}
 
-		chunkSize = HOST_TO_BENDIAN_INT32(misc->size);
 
 		af_fwrite(&chunkType, 4, 1, file->fh);
-		af_fwrite(&chunkSize, 4, 1, file->fh);
+
+		chunkSize = misc->size;
+		af_write_uint32_be(&chunkSize, file->fh);
 		/*
 			Write the miscellaneous buffer and then a pad byte
 			if necessary.  If the buffer is null, skip the space
@@ -574,7 +537,7 @@
 			af_fseek(file->fh, misc->size, SEEK_CUR);
 
 		if (misc->size % 2 != 0)
-			af_fwrite(&padByte, 1, 1, file->fh);
+			af_write_uint8(&padByte, file->fh);
 	}
 
 	return AF_SUCCEED;
diff -Nru audiofile-0.2.6/libaudiofile/audiofile.exports audiofile-0.2.7/libaudiofile/audiofile.exports
--- audiofile-0.2.6/libaudiofile/audiofile.exports	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/audiofile.exports	2010-03-12 09:57:54.000000000 +0100
@@ -102,3 +102,12 @@
 afTellFrame
 afWriteFrames
 afWriteMisc
+af_fclose
+af_flength
+af_fread
+af_fseek
+af_ftell
+af_fwrite
+af_virtual_file_destroy
+af_virtual_file_new
+af_virtual_file_new_for_file
diff -Nru audiofile-0.2.6/libaudiofile/aupv.c audiofile-0.2.7/libaudiofile/aupv.c
--- audiofile-0.2.6/libaudiofile/aupv.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/aupv.c	2010-03-15 11:41:30.000000000 +0100
@@ -25,7 +25,6 @@
 	value list functions.
 */
 
-#include <sys/types.h>
 #include <stdlib.h>
 #include <string.h>
 #include <assert.h>
